Subject: Re: [PATCH] regex: not all macOS platforms seem to have REG_ENHANCED

From: René Scharfe <[email-masked]>
Date: Fri, 20 Mar 2026 00:11:43 +0100

On 3/19/26 11:37 PM, Junio C Hamano wrote:
> Earlier, 54463d32 (use enhanced basic regular expressions on macOS,
> 2023-01-08) started to use the REG_ENHANCED option when ERE is not
> in use on macOS.  The build seems to have started failing on
> macos-14 CI jobs at GitHub, however, as apparently not all the macOS
> platforms have this flag defined.

Interesting.  https://en.wikipedia.org/wiki/MacOS_version_history says
macOS 14 (Sonoma) was released 2023-09-26, i.e. more than eight months
after the patch.  And the oldest regex(3) man page I could find also
mentions REG_ENHANCED:

https://man.freebsd.org/cgi/man.cgi?query=regex&apropos=0&sektion=0&manpath=macOS+10.12.0&format=html

René